ReplicationManagerStartPolicy (Oracle Corporation - Berkeley DB Java API)
Keywords: com.sleepycat.db.ReplicationManagerStartPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationManagerStartPolicy

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStartPolicy

    public final class ReplicationManagerStartPolicy

extends Object

This class provides definitions of the various start policies that can be specified when starting a replication client using the `Environment.replicationManagerStart` call.

Field Summary
`static ReplicationManagerStartPolicy` | `REP_CLIENT` Start as a client site, and do not call for an election.
`static ReplicationManagerStartPolicy` | `REP_ELECTION` Start as a client, and call for an election if no master is found.
`static ReplicationManagerStartPolicy` | `REP_FULL_ELECTION` Start as a client, and call for an election if no master is found.
`static ReplicationManagerStartPolicy` | `REP_MASTER` Start as a master site, and do not call for an election.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REP_CLIENT

    public static final ReplicationManagerStartPolicy REP_CLIENT

  Start as a client site, and do not call for an election.

### REP_ELECTION

    public static final ReplicationManagerStartPolicy REP_ELECTION

  Start as a client, and call for an election if no master is found.

### REP_FULL_ELECTION

    public static final ReplicationManagerStartPolicy REP_FULL_ELECTION

  Start as a client, and call for an election if no master is found.

  The DB_REP_FULL_ELECTION flag configures a single special election on startup, where a master will only be confirmed if all members of the replication group vote. Subsequent elections will revert to only requiring a simple majority to elect a new master.

### REP_MASTER

    public static final ReplicationManagerStartPolicy REP_MASTER

  Start as a master site, and do not call for an election. Note there must never be more than a single master in any replication group, and only one site should ever be started with the DB_REP_MASTER flag specified.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.